<?php
require_once __DIR__.'/../../api/lib/request.php';

/**
 * @MockRequest a mocked request object
 * @param $body Array with the post body
 * @param $request_method The http method
 */
class MockRequest extends Api_Request {
	private $body;
	private $request_method;

	public function __construct($body, $request_method) {
		$this->body = $body;
		$this->request_method = $request_method;
	}

	public function get_body() {
		return $this->body;
	}

	public function get_method() {
		return $this->request_method;
	}
}

if (!class_exists('op5log')) {
	/**
	 * Dummy op5 log
	 */
	class op5log {
		public static function instance($name) {
			return new self;
		}

		public function log($type, $desc) {
			return null;
		}
	}
}

if (!class_exists('op5config')) {
	/**
	 * Dummy op5 config
	 */
	class op5config {
		public static function instance() {
			return new self;
		}

		public function getConfig($dummy) {
			return "dummy/";
		}

		public function getPathForNamespace($dummy)
		{
			return "/etc/dummy.yml";
		}
	}
}
